module Rmd
  class Server
    class << self
      def all
        Configure.get['server'].keys
      end

      def get(name)
        Server.new(Configure.get['server'][name])
      end
    end

    attr_reader :config

    def initialize(config)
      @config = config
    end

    def url
      @config['url']
    end

    def token
      @config['token']
    end

    def master
      @config['master']
    end

    def nginx
      @config['nginx']
    end
  end
end
